rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Public Types | Data Fields
sprintfToken_s Struct Reference
HEADER.
Collaboration diagram for sprintfToken_s:
[legend]

## Public Types
enum | { PTOK_NONE = 0, PTOK_TAG = 1, PTOK_ARRAY = 2, PTOK_STRING = 3, PTOK_COND = 4 }

## Data Fields
enum sprintfToken_s:: { ... } | type
union {
struct sprintfTag_s tag
struct {
sprintfToken format
size_t numTokens
} array
struct {
char * string
size_t len
} string
struct {
sprintfToken ifFormat
size_t numIfTokens
sprintfToken elseFormat
size_t numElseTokens
struct sprintfTag_s tag
} cond
} | u

## Detailed Description

Definition at line 4956 of file hdrfmt.c.

## Member Enumeration Documentation

anonymous enum

Enumerator
PTOK_NONE |
PTOK_TAG |
PTOK_ARRAY |
PTOK_STRING |
PTOK_COND |

Definition at line 4957 of file hdrfmt.c.

## Field Documentation

struct { ... } sprintfToken_s::array

PTOK_ARRAY

Referenced by freeFormat(), headerSprintf(), hsaInit(), hsaNext(), parseFormat(), and singleSprintf().

struct { ... } sprintfToken_s::cond

PTOK_COND

Referenced by findTag(), freeFormat(), parseExpression(), and singleSprintf().

sprintfToken sprintfToken_s::elseFormat

Definition at line 4981 of file hdrfmt.c.

sprintfToken sprintfToken_s::format

Definition at line 4968 of file hdrfmt.c.

sprintfToken sprintfToken_s::ifFormat

Definition at line 4978 of file hdrfmt.c.

size_t sprintfToken_s::len

Definition at line 4974 of file hdrfmt.c.

size_t sprintfToken_s::numElseTokens

Definition at line 4982 of file hdrfmt.c.

size_t sprintfToken_s::numIfTokens

Definition at line 4979 of file hdrfmt.c.

size_t sprintfToken_s::numTokens

Definition at line 4969 of file hdrfmt.c.

char* sprintfToken_s::string

Definition at line 4973 of file hdrfmt.c.

Referenced by parseFormat(), and singleSprintf().

struct { ... } sprintfToken_s::string

PTOK_STRING

struct sprintfTag_s sprintfToken_s::tag

PTOK_TAG

Definition at line 4965 of file hdrfmt.c.

Referenced by findTag(), freeFormat(), headerSprintf(), hsaInit(), hsaNext(), parseFormat(), and singleSprintf().

enum { ... } sprintfToken_s::type

Referenced by findTag(), headerSprintf(), hsaInit(), hsaNext(), parseExpression(), parseFormat(), and singleSprintf().

union { ... } sprintfToken_s::u

Referenced by findTag(), freeFormat(), headerSprintf(), hsaInit(), hsaNext(), parseExpression(), parseFormat(), and singleSprintf().

The documentation for this struct was generated from the following file:

- rpmdb/hdrfmt.c